Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 127625 - The CORE tests are failing with an error message" rpmq: no arguments given for query"
The CORE tests are failing with an error message" rpmq: no arguments given fo...
Status: CLOSED WORKSFORME
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2 (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Rob Landry
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-11 09:43 EDT by PG
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 01:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped files containing output.log and error.log (560 bytes, text/plain)
2004-07-11 09:58 EDT, PG
no flags Details
results of Red hat hardware certification tests (20.55 KB, text/plain)
2004-07-21 04:22 EDT, PG
no flags Details

  None (edit)
Description PG 2004-07-11 09:43:40 EDT
Description of problem: 
The CORE tests are failing with an error message" rpmq: no arguments 
given for query" 

Version-Release number of selected component (if applicable):
rhr2-0.9-14.2.noarch.rpm


How reproducible: always




Steps to Reproduce:Install the three packages from 
http://hardware.redhat.com/hcl/files 1.rhr2-0.9-14.2.noarch.rpm , 
2.rhr2-externals-0.9-14.2.noarch.rpm
3.rhr2-tests-0.9-14.2.noarch.rpm
run /usr/sbn/redhat-ready 
select CORE 
  
Actual results: FAIL


Expected results:PASS


Additional info:attached log file
Comment 1 PG 2004-07-11 09:58:53 EDT
Created attachment 101790 [details]
gzipped files containing output.log and error.log
Comment 2 Rob Landry 2004-07-12 11:10:43 EDT
Can this be re-run using the "-d" flag on redhat-ready?  Then attach
/var/log/rhr/debug aswell as the error.log and output logs from CORE.
Comment 3 PG 2004-07-21 04:22:34 EDT
Created attachment 102098 [details]
results of Red hat hardware certification tests

I ran redhat-ready with -d options. the results are packaged in a rpm file. it
can be unpacked using rpm -ivh filename. These results are for the CORE  tests.

The CORE tests have also some memory failures. These are also captured here.
Comment 4 Rob Landry 2004-07-21 11:02:05 EDT
the rpmq failure is happening becuase the rpmbuild isn't ending with a
"Wrote" although it is exiting cleanly.  Can you try an rpmbuild
--rebuild on that kernel package to see what happens and attach it's
output log if it does complete; otherwise try using the matching Red
Hat kernel.src package instead.
Comment 5 PG 2004-08-17 01:02:12 EDT
yes- the faulty srpm was causing the problem. also increased swap 
space to 1500mb.
thanks Rob.

Note You need to log in before you can comment on or make changes to this bug.